Bug 811458 - specifying invalid ip_address as value for auth.allow/reject option is accepted
specifying invalid ip_address as value for auth.allow/reject option is accepted
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: cli (Show other bugs)
mainline
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Kaushal
:
Depends On:
Blocks: 817967
  Show dependency treegraph
 
Reported: 2012-04-11 02:39 EDT by Shwetha Panduranga
Modified: 2013-07-24 13:09 EDT (History)
2 users (show)

See Also:
Fixed In Version: glusterfs-3.4.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-24 13:09:17 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Shwetha Panduranga 2012-04-11 02:39:50 EDT
Description of problem:
ipv4 invalid address Ex:- "192.168.1.2." is also accepted as valid ip_address. 

[04/06/12 - 17:20:08 root@APP-SERVER1 ~]# gluster volume set dstore auth.reject 192.168.1.2.
Set volume successful

Version-Release number of selected component (if applicable):
3.3qa33

How reproducible:
often

Steps to Reproduce:
1.create a distribute-replicate volume.
2.set auth.allow to "192.168.1.2." 
  
Actual results:
set volume successful

Expected results:
set volume should be unsuccessful as we have specified the invalid ip address
Comment 1 Anand Avati 2012-04-13 04:02:14 EDT
CHANGE: http://review.gluster.com/3124 (glusterd: IPv4 auth improvment) merged in master by Vijay Bellur (vijay@gluster.com)
Comment 2 Shwetha Panduranga 2012-05-04 03:12:51 EDT
Bug is fixed . verified on 3.3.0qa39

Note You need to log in before you can comment on or make changes to this bug.